Function
getFibre
Returns a specific fibre of a container.
TObject getFibre(index, fibreTag)
Include Headers
seqan/index.h
Parameters

index | The index holding the fibre. Types: Index
fibreTag | A tag that identifies the Fibre. Types: ESA Index Fibres, FM Index Fibres, QGram Index Fibres, WOTD Index Fibres

Return Values
A reference to the Fibre object.
Member of
Index
Examples
The following code shows a simple example how the function getFibre is used.
File "index_begin_range_goDown_representative_repLength.cpp"

1 | #include <seqan/index.h>
2 |
3 | using namespace seqan;
4 |
5 | int main ()
6 | {
7 | typedef Index<CharString> TIndex;
8 |
9 | TIndex index("MISSISSIPPI");
10 | Iterator<TIndex, TopDown<> >::Type it(index);
11 |
12 | goDown(it, "ISSI");
13 | std::cout << "The string " << representative(it) << " occurs " << range(it).i2 - range(it).i1 <<
14 | " times in MISSISSIPPI and has " << repLength(it) << " characters." << std::endl;
15 |
16 | // Note that goDown follows the path STARTING with a given text. It only stops at the next node. Therefore the
17 | // output for the following code is the same as above, even though the search string changed.
18 | goRoot(it);
19 | goDown(it, "ISS");
20 |
21 | std::cout << "The string " << representative(it) << " occurs " << range(it).i2 - range(it).i1 <<
22 | " times in MISSISSIPPI and has " << repLength(it) << " characters." << std::endl;
23 |
24 | return 0;
25 | }

The string ISSI occurs 2 times in MISSISSIPPI and has 4 characters.
The string ISSI occurs 2 times in MISSISSIPPI and has 4 characters.
See Also
WaveletTree Fibres, ESA Index Fibres, SparseString Fibres, CompressedSA Fibres, SequenceBitMask Fibres, RightArrayBinaryTree Fibres, Pizza & Chili Index Fibres, RankSupportBitString Fibres, LF Table Fibres, WOTD Index Fibres, QGram Index Fibres, FM Index Fibres, SentinelRankDictionary Fibres, PrefixSumTable Fibres
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58